Summary: Programming in Emacs Lisp: An Introduction
%define name emacs-lisp-intro
Name: %{name}
%define version 1.05
Version: %{version}
Release: 3
Copyright: GPL
Group: Applications/Editors
Source: ftp://ftp.gnu.org/gnu/emacs/%{name}-%{version}.tar.gz
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-root

%description
Programming in Emacs Lisp: An Introduction

%prep
%setup -q

%build
makeinfo -o %{name} %{name}.texi
texi2dvi %{name}.texi
texi2html %{name}.texi

gzip -9 %{name} %{name}-* *dvi *html

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/info
cp %{name}.gz %{name}-*.gz $RPM_BUILD_ROOT/usr/info

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/info/%{name}.gz /usr/info/dir \
                   --section="GNU Emacs Lisp" \
                   --entry="* Emacs Lisp Intro: (emacs-lisp-intro). Programming in Emacs Lisp: An Introduction."

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete /usr/info/%{name}.gz /usr/info/dir
fi

%files
%doc README MANIFEST %{name}.dvi.gz %{name}*.html.gz
/usr/info/*

%changelog
* Sun Feb 27 2000 Pavel Janik ml. <Pavel.Janik@linux.cz>
- HTML output added to the package
- `.info' stripped from the .texi file so bookmarks can work in GNU Emacs
